diff --git mythtv/i18n/mythfrontend_es_es.ts mythtv/i18n/mythfrontend_es_es.ts
index 8c50117..5ac5643 100644
--- mythtv/i18n/mythfrontend_es_es.ts
+++ mythtv/i18n/mythfrontend_es_es.ts
@@ -11630,7 +11637,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1041"/>
         <source>%1 total, %2 used, %3 (or %4%) free.</source>
-        <translation>%1 total, %2 usado, %3 (or %4%) libre.</translation>
+        <translation>%1 en total, %2 usados, %3 (o %4%) libres.</translation>
     </message>
     <message>
         <source>If set and Auto Commercial Flagging is ON for a recording, the flagging job will be started as soon as the recording starts.  NOT recommended on underpowered systems.</source>
@@ -11649,12 +11656,12 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <location filename="../libs/libmyth/programtypes.cpp" line="143"/>
         <source>V</source>
         <comment>RecStatusChar rsNeverRecord</comment>
-        <translation></translation>
+        <translation>n</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="207"/>
         <source>Never Record</source>
-        <translation>Nunca grabar</translation>
+        <translation>Nunca Grabar</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="325"/>
@@ -11692,17 +11699,17 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2948"/>
         <source>Turn on the LCD heartbeat.</source>
-        <translation>Encender el latido del LCD.</translation>
+        <translation>Activar el parpadeo del LCD.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelsettings.cpp" line="201"/>
         <source>Image file to use as the icon for this channel on various MythTV displays.</source>
-        <translation>Imágen para usar como icono de este canal en varias pantallas de MythTV.</translation>
+        <translation>Archivo de imagen a usar como icono de este canal en varias pantallas de MythTV.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelsettings.cpp" line="243"/>
         <source>ID used by listing services to get an exact correspondance between a channel in your line-up and a channel in their database. Normally this is set automatically when &apos;mythfilldatabase&apos; is run.</source>
-        <translation>ID usado por los servicios de listado para conseguir una correspondencia exacta entre el canal de su configuración y el de su base de datos. Normalmente esto se ajusta automáticamente por &apos;mythfilldatabase&apos;.</translation>
+        <translation>ID usado por los servicios de listas para lograr una correspondencia exacta entre un canal de su alineación y el de su base de datos. Normalmente esto se configura automáticamente al ejecutar &apos;mythfilldatabase&apos;.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelsettings.cpp" line="348"/>
@@ -11735,7 +11742,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="171"/>
         <source>Tuning</source>
-        <translation type="unfinished">Sintonización</translation>
+        <translation>Sintonizando</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="187"/>
@@ -11745,7 +11752,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="240"/>
         <source>This showing was recorded but was aborted before recording was completed.</source>
-        <translation>Este programa fue grabado pero fue abortado antes de que se completase.</translation>
+        <translation>Este programa estuvo grabándose pero fue abortado antes de completar la grabación.</translation>
     </message>
     <message>
         <source>This showing was not recorded because it was scheduled after it would have ended.</source>
@@ -11754,7 +11761,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmyth/programtypes.cpp" line="255"/>
         <source>This showing was not recorded because it was manually cancelled.</source>
-        <translation>Este programa no fue grabado porque fue manualmente cancelado.</translation>
+        <translation>Este programa no se grabó porque fue manualmente cancelado.</translation>
     </message>
     <message>
         <source>Signal Timeout (msec)</source>
@@ -11763,7 +11770,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="108"/>
         <source>Always prompt for initial group filter</source>
-        <translation>Siempre preguntar por un grupo de filtrado inicial</translation>
+        <translation>Siempre preguntar por un filtro de grupos inicial</translation>
     </message>
     <message>
         <source>Always prompt the user for the initial filter to apply when entering the Watch Recordings screen.</source>
@@ -11776,7 +11783,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2619"/>
         <source>Your preferred language for the user interface.</source>
-        <translation>Su lenguaje preferido para la interfaz.</translation>
+        <translation>Su idioma preferido para la interfaz de usuario.</translation>
     </message>
     <message>
         <source>Guide Language #%1</source>
@@ -11797,7 +11804,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2861"/>
         <source>Display current recordings information on LCD display.</source>
-        <translation>Mostrar información de grabaciones actuales en la pantalla LCD.</translation>
+        <translation>Mostrar información de las grabaciones actuales en la pantalla LCD.</translation>
     </message>
     <message>
         <source>Display Menus</source>
@@ -11832,7 +11839,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2929"/>
         <source>Display generic information on LCD display.</source>
-        <translation>Mostrar información general en la pantalla LCD.</translation>
+        <translation>Mostrar información genérica en la pantalla LCD.</translation>
     </message>
     <message>
         <source>Backlight Always On</source>
@@ -11841,7 +11848,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2938"/>
         <source>Turn on the backlight permanently on the LCD display.</source>
-        <translation>Encender permanentemente la luz trasera de la pantalla LCD.</translation>
+        <translation>Encender permanentemente la luz de fondo de la pantalla LCD.</translation>
     </message>
     <message>
         <source>HeartBeat Always On</source>
@@ -11854,24 +11861,24 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2967"/>
         <source>Enter the 6 Keypad Return Codes for your LCD keypad in the order in which you want the functions up/down/left/right/yes/no to operate. (See lcdproc/server/drivers/hd44780.c/keyMapMatrix[] or the matrix for your display)</source>
-        <translation>Introduzca los 6 códigos de retorno del teclado del LCD en el órden que desee las funciones arriba/abajo/izquierda/derecha/sí/no. (Vea lcdproc/server/drivers/hd44780.c/keyMapMatrix[] o la matriz de su LCD)</translation>
+        <translation>Introduzca los 6 Códigos de Retorno de Teclado de su teclado LCD en el orden en que desee que operen las funciones arriba/abajo/izquierda/derecha/sí/no. (Ver lcdproc/server/drivers/hd44780.c/keyMapMatrix[] o la matriz de su pantalla)</translation>
     </message>
     <message>
         <location filename="../programs/mythtv-setup/backendsettings.cpp" line="122"/>
         <source>Save original files after transcoding (globally)</source>
-        <translation>Guardar ficheros originales tras la recodificación (globalmente)</translation>
+        <translation>Guardar los archivos originales después de transcodificar (globalmente)</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="182"/>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="207"/>
         <location filename="../libs/libmythtv/transporteditor.cpp" line="238"/>
         <source>Transport Editor</source>
-        <translation>Editor Transportes</translation>
+        <translation>Editor de Transportes</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videosource.cpp" line="3123"/>
+        <location filename="../libs/libmythtv/videosource.cpp" line="3124"/>
         <source>(Delete all capture cards)</source>
-        <translation>(Borrar todas las capturadoras)</translation>
+        <translation>(Eliminar todas las capturadoras)</translation>
     </message>
     <message>
         <source>Monitor Aspect Ratio</source>
@@ -11895,14 +11902,14 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <translation>16:10</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/videosource.cpp" line="3266"/>
+        <location filename="../libs/libmythtv/videosource.cpp" line="3267"/>
         <source>(Delete all video sources)</source>
-        <translation>(Borrar todas las fuentes de video)</translation>
+        <translation>(Eliminar todas las fuentes de vídeo)</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="2919"/>
         <source>Display volume level information on LCD display.</source>
-        <translation>Mostrar información de volúmen en la pantalla LCD.</translation>
+        <translation>Mostrar información de volumen en la pantalla LCD.</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programinfo.cpp" line="2628"/>
@@ -11912,7 +11919,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="946"/>
         <location filename="../programs/mythfrontend/globalsettings.cpp" line="1163"/>
         <source>Delete</source>
-        <translation>Borrar</translation>
+        <translation>Eliminar</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="2377"/>
@@ -11927,7 +11934,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="2397"/>
         <source>FireWire cable box</source>
-        <translation>Decodificador cable FireWire</translation>
+        <translation>Decodificador de cable FireWire</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="2402"/>
@@ -11945,7 +11952,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmythtv/videosource.h" line="781"/>
         <source>This is updated on every successful channel change.</source>
-        <translation>Esto es actualizado en cada cambio exitoso de canal.</translation>
+        <translation>Se actualiza en cada cambio exitoso de canal.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/recordingprofile.cpp" line="661"/>
@@ -11955,12 +11962,12 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmythtv/recordingprofile.cpp" line="664"/>
         <source>Threads to use for software encoding.</source>
-        <translation>Hilos a usar para codificación software.</translation>
+        <translation>Hilos a usar para codificación por software.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/recordingprofile.cpp" line="665"/>
         <source>Set to a value less than or equal to the number of processors on the backend that will be doing the encoding.</source>
-        <translation>Ajuste a un número menos o igual al nº de procesadores en el backend que vaya a hacer la codificación.</translation>
+        <translation>Establézcalo a un número menor o igual al número de procesadores del servidor que vaya a realizar la codificación.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/recordingprofile.cpp" line="848"/>
@@ -11970,7 +11977,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmythtv/videodisplayprofile.cpp" line="660"/>
         <source>Decoder to use to play back MPEG2 video.</source>
-        <translation>Decodificador a usar para reproducir video MPEG2.</translation>
+        <translation>Decodificador a usar para reproducir vídeo MPEG2.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videodisplayprofile.cpp" line="668"/>
@@ -11994,42 +12001,42 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmythtv/channelscan/frequencytablesetting.cpp" line="49"/>
         <source>Frequency Table</source>
-        <translation>Tabla Frecuencias</translation>
+        <translation>Tabla de Frecuencias</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/channelscan/frequencytablesetting.cpp" line="50"/>
         <source>Frequency table to use.</source>
-        <translation>Tabla Frecuencias a usar.</translation>
+        <translation>Tabla de Frecuencias a usar.</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="1756"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="1787"/>
         <source>Could not query inputs.</source>
-        <translation type="unfinished">No se pudieron consultar las entradas.</translation>
+        <translation>No fue posible consultar las entradas.</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="1787"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="1818"/>
         <source>ERROR, Compile with V4L support to query inputs</source>
-        <translation type="unfinished">ERROR, compile con soporte V4L para consultar las entradas</translation>
+        <translation>ERROR, Compile con capacidad V4L para consultar las entradas</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="2289"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="2320"/>
         <source>Unable to connect to device.</source>
-        <translation type="unfinished"></translation>
+        <translation>No fue posible conectar con el dispositivo.</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="2303"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="2334"/>
         <source>Invalid Device ID</source>
-        <translation type="unfinished"></translation>
+        <translation>ID de Dispositivo no válido</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="2313"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="2344"/>
         <source>Invalid Device ID or address.</source>
-        <translation type="unfinished"></translation>
+        <translation>ID de Dispositivo o dirección no válidos.</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="2325"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="2356"/>
         <source>, firmware: %2</source>
-        <translation type="unfinished"></translation>
+        <translation>, firmware: %2</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="1071"/>
@@ -12039,17 +12046,17 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="1080"/>
         <source>Frontend ID</source>
-        <translation>ID Frontend</translation>
+        <translation>ID del Cliente</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="1178"/>
         <source>Cable box model</source>
-        <translation>Modelo deco cable</translation>
+        <translation>Modelo de decodificador de cable</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="1237"/>
         <source>Connection Type</source>
-        <translation>Tipo conexión</translation>
+        <translation>Tipo de Conexión</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="1250"/>
@@ -12057,15 +12064,15 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <translation>Velocidad</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="1879"/>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="1912"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="1910"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="1943"/>
         <source>Could not open &apos;%1&apos; to probe its inputs.</source>
-        <translation type="unfinished">No se puede abrir &apos;%1&apos; para probar sus entradas.</translation>
+        <translation>No fue posible abrir &apos;%1&apos; para analizar sus entradas.</translation>
     </message>
     <message>
-        <location filename="../libs/libmythtv/cardutil.cpp" line="1953"/>
+        <location filename="../libs/libmythtv/cardutil.cpp" line="1984"/>
         <source>ERROR, Compile with DVB support to query inputs</source>
-        <translation type="unfinished">ERROR, compile con soporte DVB para consultar entradas</translation>
+        <translation>ERROR, Compile con capacidad DVB para consultar entradas</translation>
     </message>
     <message>
         <source>General OSD time-out (sec)</source>
@@ -12095,47 +12102,47 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="97"/>
         <source>MythWelcome Settings</source>
-        <translation>Ajustes MythWelcome</translation>
+        <translation>Configuración de MythWelcome</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="131"/>
         <source>Command to set the wakeup time in the BIOS. See the README file for more examples.</source>
-        <translation>Comando para ajustar la hora de arranque en la BIOS. Lea el fichero README para más ejemplos.</translation>
+        <translation>Orden para establecer la hora de arranque automático en el BIOS. Lea el archivo README para más ejemplos.</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="152"/>
         <source>nvram-wakeup Restart Command</source>
-        <translation>Comando reinicio nvram-wakeup</translation>
+        <translation>Orden de Reinicio nvram-wakeup</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="165"/>
         <source>Command to reboot</source>
-        <translation>Comando para reiniciar</translation>
+        <translation>Orden para reiniciar</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="167"/>
         <source>Command to reboot computer.</source>
-        <translation>Comando para reiniciar el ordenador.</translation>
+        <translation>Orden para reiniciar el ordenador.</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="174"/>
         <source>Command to shutdown</source>
-        <translation>Comando para apagar</translation>
+        <translation>Orden para apagar</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="176"/>
         <source>Command to shutdown computer.</source>
-        <translation>Comando para apagar el ordenador.</translation>
+        <translation>Orden para apagar el ordenador.</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="192"/>
         <source>Command to run Xterm</source>
-        <translation>Comando pra ejecutar Xterm</translation>
+        <translation>Orden para ejecutar Xterm</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="194"/>
         <source>Command to start an Xterm. Can be disabled by leaving this setting blank.</source>
-        <translation>Comando para ejecutar Xterm. Puede ser desactivado dejando el campo en blanco.</translation>
+        <translation>Orden para iniciar un Xterm. Puede desactivarse dejándola vacía.</translation>
     </message>
     <message>
         <source>Perform EIT Scan</source>
@@ -12156,12 +12163,12 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="489"/>
         <source>This will usually only work with ATSC or DVB channels,</source>
-        <translation>Normalmente solo funciona con canales DVB o ATSC,</translation>
+        <translation>Normalmente sólo funciona con canales DVB o ATSC,</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="493"/>
         <source>and generally provides data only for the next few days.</source>
-        <translation>y generalmente provee datos sólo para pocos días siguientes.</translation>
+        <translation>y por lo general sólo proporciona datos para unos pocos días.</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="485"/>
@@ -12202,7 +12209,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="47"/>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="48"/>
         <source>Period</source>
-        <translation>Punto</translation>
+        <translation>Periodo</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="14"/>
@@ -12210,7 +12217,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="36"/>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="37"/>
         <source>start time</source>
-        <translation>hora comienzo</translation>
+        <translation>hora de inicio</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="17"/>
@@ -12218,7 +12225,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="39"/>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="50"/>
         <source>Set both Start &amp; End times to 00:00 to disable.</source>
-        <translation>Ajuste Comienzo &amp; Fin a 00:00 para desactivar.</translation>
+        <translation>Establezca las horas de Inicio y Fin a 00:00 para desactivarlo.</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="25"/>
@@ -12226,7 +12233,7 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="47"/>
         <location filename="../programs/mythwelcome/welcomesettings.cpp" line="48"/>
         <source>end time</source>
-        <translation>hora fin</translation>
+        <translation>hora de fin</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/programinfo.cpp" line="2617"/>
@@ -12236,12 +12243,12 @@ La mayoría de las tarjetas pueden autodetectar, así que déjelo en Auto a no s
     <message>
         <location filename="../html/htmlstrings.h" line="13"/>
         <source>Make this server the master backend</source>
-        <translation type="unfinished"></translation>
+        <translation>Hacer que éste sea el servidor principal</translation>
     </message>
     <message>
         <location filename="../html/htmlstrings.h" line="15"/>
         <source>Security PIN</source>
-        <translation type="unfinished"></translation>
+        <translation>PIN de seguridad</translation>
     </message>
     <message>
         <location filename="../html/htmlstrings.h" line="17"/>
